apiVersion: apps/v1
kind: Deployment
metadata:
  name: deployment
spec:
  replicas: 2
  selector:
    matchLabels:
      app: api
  template:
    metadata:
      labels:
        app: api
    spec:
      imagePullSecrets:
      - name: gitlab-registry-secret
      containers:
        - name: deployment
          image: registry.gitlab.com/commonground/haven/standaardenregister:MR5-5-e3ebf4e7
          envFrom:
          - configMapRef:
              name: config
          - secretRef:
              name: secrets
          env:
            - name: DB_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: standaardenregister-standaardenregister-app
                  key: password
            - name: DB_USER
              valueFrom:
                secretKeyRef:
                  name: standaardenregister-standaardenregister-app
                  key: username
            - name: TLS_CERT
              valueFrom:
                secretKeyRef:
                  name: standaardenregister-tls
                  key: tls.crt
            - name: TLS_KEY
              valueFrom:
                secretKeyRef:
                  name: standaardenregister-tls
                  key: tls.key
          ports:
            - containerPort: 5443
              name: https
          resources:
            limits:
              cpu: "1000m"
              memory: "64Mi"
            requests:
              cpu: "100m"
              memory: "32Mi"
          readinessProbe:
            httpGet:
              path: /healthz
              port: 5443
              scheme: HTTPS
            initialDelaySeconds: 5
            periodSeconds: 10
          livenessProbe:
            httpGet:
              path: /healthz
              port: 5443
              scheme: HTTPS
            initialDelaySeconds: 15
            periodSeconds: 20
